"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const CioAutocompleteProvider_1 = tslib_1.__importDefault(require("../CioAutocompleteProvider"));
const AutocompleteResults_1 = tslib_1.__importDefault(require("../AutocompleteResults/AutocompleteResults"));
const SearchInput_1 = tslib_1.__importDefault(require("../SearchInput/SearchInput"));
function CioAutocomplete(props) {
    const { children } = props;
    if (children) {
        return react_1.default.createElement(CioAutocompleteProvider_1.default, Object.assign({}, props), children);
    }
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(CioAutocompleteProvider_1.default, Object.assign({}, props),
            react_1.default.createElement(SearchInput_1.default, null),
            react_1.default.createElement(AutocompleteResults_1.default, null))));
}
exports.default = CioAutocomplete;
