"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CioAutocompleteContext = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const useCioAutocomplete_1 = tslib_1.__importDefault(require("../../hooks/useCioAutocomplete"));
exports.CioAutocompleteContext = (0, react_1.createContext)({});
function CioAutocompleteProvider(props) {
    const { children } = props, restProps = tslib_1.__rest(props, ["children"]);
    const cioAutocomplete = (0, useCioAutocomplete_1.default)(restProps);
    return (react_1.default.createElement(exports.CioAutocompleteContext.Provider, { value: cioAutocomplete },
        react_1.default.createElement("div", { className: cioAutocomplete.autocompleteClassName }, children)));
}
exports.default = CioAutocompleteProvider;
