"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useConsoleErrors = (sections, zeroStateSections) => {
    (0, react_1.useEffect)(() => {
        if (sections && !Array.isArray(sections)) {
            // eslint-disable-next-line
            console.error('useCioAutocomplete expects sections to reference an array of section configuration objects');
        }
        if (zeroStateSections && !Array.isArray(zeroStateSections)) {
            // eslint-disable-next-line
            console.error('useCioAutocomplete expects zeroStateSections to reference an array of section configuration objects');
        }
    }, [sections, zeroStateSections]);
};
exports.default = useConsoleErrors;
