"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable max-params */
const react_1 = require("react");
const helpers_1 = require("../../utils/helpers");
function useActiveSectionsWithData(sectionsResults, activeSections, sectionsRefs, query, podsData) {
    const [activeSectionsWithData, setActiveSectionsWithData] = (0, react_1.useState)([]);
    // Add to active sections the results data and refs when autocomplete results or recommendation results fetched
    (0, react_1.useEffect)(() => {
        const activeSectionsWithDataValue = (0, helpers_1.getActiveSectionsWithData)(activeSections, sectionsResults, sectionsRefs, podsData);
        if (activeSectionsWithDataValue.length || !query) {
            setActiveSectionsWithData(activeSectionsWithDataValue);
        }
    }, [activeSections, sectionsResults, sectionsRefs, query, podsData]);
    return activeSectionsWithData;
}
exports.default = useActiveSectionsWithData;
