/// <reference types="react" />
import { UseComboboxProps, UseComboboxReturnValue } from 'downshift';
import ConstructorIOClient from '@constructor-io/constructorio-client-javascript';
import { Nullable } from '@constructor-io/constructorio-client-javascript/lib/types';
import { Item, OnSubmit } from '../types';
interface UseDownShiftOptions extends UseComboboxProps<Item> {
    setQuery: React.Dispatch<React.SetStateAction<string>>;
    onSubmit: OnSubmit;
    previousQuery?: string;
    cioClient: Nullable<ConstructorIOClient>;
}
export type DownShift = UseComboboxReturnValue<Item>;
type UseDownShift = (options: UseDownShiftOptions) => DownShift;
declare const useDownShift: UseDownShift;
export default useDownShift;
