import ConstructorIO from '@constructor-io/constructorio-client-javascript';
import { Nullable } from '@constructor-io/constructorio-client-javascript/lib/types';
import { AdvancedParameters, UserDefinedSection } from '../../types';
export default function useSections(query: string, cioClient: Nullable<ConstructorIO>, sections: UserDefinedSection[], zeroStateSections?: UserDefinedSection[], advancedParameters?: AdvancedParameters): {
    fetchRecommendationResults: () => Promise<void>;
    activeSections: UserDefinedSection[];
    activeSectionsWithData: import("../../types").Section[];
    zeroStateActiveSections: boolean;
    request: Partial<import("@constructor-io/constructorio-client-javascript").AutocompleteRequestType>;
    totalNumResultsPerSection: Record<string, number>;
};
