"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const SectionItemText_1 = tslib_1.__importDefault(require("./SectionItemText"));
const CioAutocompleteProvider_1 = require("../CioAutocompleteProvider");
function SearchSuggestionItem(props) {
    var _a, _b, _c, _d;
    const { item, displaySearchTermHighlights } = props;
    const { advancedParameters, query, featureToggles } = (0, react_1.useContext)(CioAutocompleteProvider_1.CioAutocompleteContext);
    const { featureDisplaySearchSuggestionImages, featureDisplaySearchSuggestionResultCounts } = featureToggles;
    const { displaySearchSuggestionImages = featureDisplaySearchSuggestionImages, displaySearchSuggestionResultCounts = featureDisplaySearchSuggestionResultCounts, } = advancedParameters || {};
    return (react_1.default.createElement(react_1.default.Fragment, null,
        displaySearchSuggestionImages && ((_a = item.data) === null || _a === void 0 ? void 0 : _a.image_url) && (react_1.default.createElement("img", { src: (_b = item.data) === null || _b === void 0 ? void 0 : _b.image_url, alt: item.value, className: 'cio-suggestion-image' })),
        react_1.default.createElement("p", { className: 'cio-suggestion-text' },
            react_1.default.createElement(SectionItemText_1.default, { item: item, query: query, highlightSearchTerm: displaySearchTermHighlights })),
        displaySearchSuggestionResultCounts && ((_c = item.data) === null || _c === void 0 ? void 0 : _c.total_num_results) && (react_1.default.createElement("p", { className: 'cio-suggestion-count' },
            "(", (_d = item.data) === null || _d === void 0 ? void 0 :
            _d.total_num_results,
            ")"))));
}
exports.default = SearchSuggestionItem;
