"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable max-params */
const react_1 = require("react");
const features_1 = require("../../utils/features");
function useRemoveSections(sections, podsData, setActiveSections, showZeroStateSections, zeroStateSections) {
    // Remove sections if necessary
    (0, react_1.useEffect)(() => {
        var _a, _b;
        const features = (0, features_1.getFeatures)((_b = (_a = Object.values(podsData || {})) === null || _a === void 0 ? void 0 : _a[0]) === null || _b === void 0 ? void 0 : _b.request);
        if (showZeroStateSections) {
            if (!features.featureDisplayZeroStateRecommendations) {
                setActiveSections([]);
            }
            else {
                setActiveSections(zeroStateSections);
            }
        }
        else {
            setActiveSections(sections);
        }
    }, [zeroStateSections, showZeroStateSections, sections, podsData, setActiveSections]);
}
exports.default = useRemoveSections;
