"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRecommendationsSection = exports.isAutocompleteSection = exports.isCustomSection = exports.isInGroupSuggestion = exports.isSearchSuggestion = exports.isProduct = void 0;
function isProduct(item) {
    return item.section === 'Products';
}
exports.isProduct = isProduct;
function isSearchSuggestion(item) {
    return item.section === 'Search Suggestions';
}
exports.isSearchSuggestion = isSearchSuggestion;
function isInGroupSuggestion(item) {
    return item.groupName !== undefined;
}
exports.isInGroupSuggestion = isInGroupSuggestion;
function isCustomSection(config) {
    return config.type === 'custom';
}
exports.isCustomSection = isCustomSection;
function isAutocompleteSection(config) {
    return config.type === 'autocomplete' || !config.type;
}
exports.isAutocompleteSection = isAutocompleteSection;
function isRecommendationsSection(config) {
    return config.type === 'recommendations';
}
exports.isRecommendationsSection = isRecommendationsSection;
