import ConstructorIOClient from '@constructor-io/constructorio-client-javascript';
import { Nullable } from '@constructor-io/constructorio-client-javascript/lib/types';
import { SectionsData, RecommendationsSectionConfiguration, PodData } from '../types';
declare const useFetchRecommendationPod: (cioClient: Nullable<ConstructorIOClient>, recommendationPods: RecommendationsSectionConfiguration[], fetchZeroStateOnFocus?: boolean) => {
    fetchRecommendationResults: () => Promise<void>;
    recommendationsResults: SectionsData;
    podsData: Record<string, PodData>;
};
export default useFetchRecommendationPod;
