import ConstructorIO from '@constructor-io/constructorio-client-javascript';
import { Nullable } from '@constructor-io/constructorio-client-javascript/lib/types';
import { AdvancedParameters, UserDefinedSection } from '../../types';
export default function useSectionsResults(query: string, cioClient: Nullable<ConstructorIO>, activeSections: UserDefinedSection[], advancedParameters?: AdvancedParameters): {
    recommendations: {
        results: import("../../types").SectionsData;
        fetchRecommendationResults: () => Promise<void>;
        podsData: Record<string, import("../../types").PodData>;
    };
    autocomplete: {
        results: import("../../types").SectionsData;
        request: Partial<import("@constructor-io/constructorio-client-javascript").AutocompleteRequestType>;
        totalNumResultsPerSection: Record<string, number>;
    };
};
