import { CustomSection, InGroupSuggestion, Item, Product, UserDefinedSection, SearchSuggestion, AutocompleteSection, RecommendationsSection } from './types';
export declare function isProduct(item: Item): item is Product;
export declare function isSearchSuggestion(item: Item): item is SearchSuggestion;
export declare function isInGroupSuggestion(item: Item): item is InGroupSuggestion;
export declare function isCustomSection(config: UserDefinedSection): config is CustomSection;
export declare function isAutocompleteSection(config: UserDefinedSection): config is AutocompleteSection;
export declare function isRecommendationsSection(config: UserDefinedSection): config is RecommendationsSection;
